# Package org.apache.felix.ipojo.parser

Class Summary
FieldMetadata: A Field Metadata represents a field of the implementation class.
ManifestMetadataParser: The Manifest Metadata parser reads a manifest file and builds the iPOJO metadata (`Element` / `Attribute` ) structure.
MethodMetadata: A Method Metadata represents a method from the implementation class.
ParseUtils: Parser Utility Methods.
PojoMetadata: Manipulation Metadata allows getting information about the implementation class without using reflection such as implemented interfaces, super class, methods and fields.

Exception Summary
ParseException: Exception thrown by parsers.